<?PHP
/*
 * DIREITOS AUTORAIS RESERVADOS (C) 2007 UFRJ
 * 
 * ESTE PROGRAMA É SOFTWARE LIVRE; VOCÊ PODE REDISTRIBUÍ-LO E/OU MODIFICÁ-LO SOB OS
 * TERMOS DA LICENÇA PÚBLICA GERAL GNU CONFORME PUBLICADA PELA FREE SOFTWARE FOUNDATION;
 * TANTO A VERSÃO 2 DA LICENÇA, COMO (A SEU CRITÉRIO) QUALQUER VERSÃO POSTERIOR.

 * ESTE PROGRAMA É DISTRIBUÍDO NA EXPECTATIVA DE QUE SEJA ÚTIL, PORÉM, SEM NENHUMA GARANTIA;
 * NEM MESMO A GARANTIA IMPLÍCITA DE COMERCIABILIDADE OU ADEQUAÇÃO A UMA FINALIDADE ESPECÍFICA.
 * CONSULTE A LICENÇA PÚBLICA GERAL DO GNU PARA MAIS DETALHES.
 * 
 * VOCÊ DEVE TER RECEBIDO UMA CÓPIA DA LICENÇA PÚBLICA GERAL DO GNU JUNTO COM ESTE PROGRAMA; 
 * SE NÃO, ACESSE <<HTTP://WWW.GNU.ORG/LICENSES/LICENSES.PT-BR.HTML>>
 */

<?

require_once 'util.php';

class OcupacaoUnidade extends Doctrine_Record
{
	function setTableDefinition()
	{
		$this->setTableName('saude.ocupacao_unidade');
		$this->hasColumn('idocupacao','integer', NULL, array('primary'));
		$this->hasColumn('idunidade','integer', NULL, array('primary'));
		$this->hasColumn('count','integer', NULL,
			array('default'=>0, 'notnull', 'unsigned'));
	}

	function setUp()
	{
		$this->hasOne('Ocupacao as ocupacao', 
			array('local'=>'idocupacao',
				  'foreign'=>'id'));

		$this->hasOne('Unidade as unidade', 
			array('local'=>'idunidade',
				  'foreign'=>'id'));
	}
};

?>
